package com.xunhong.erp.turbo.api.biz.api;

import com.xunhong.erp.turbo.api.biz.dto.cmd.BoxProductCreateCmd;
import com.xunhong.erp.turbo.api.biz.dto.cmd.BoxProductDestroyCmd;
import com.xunhong.erp.turbo.api.biz.dto.cmd.BoxProductDragCmd;
import com.xunhong.erp.turbo.api.biz.dto.cmd.BoxProductUpdateCmd;
import com.xunhong.erp.turbo.api.biz.dto.qry.BoxProductListQry;
import com.xunhong.erp.turbo.api.biz.dto.qry.BoxProductPageQry;
import com.xunhong.erp.turbo.api.biz.dto.qry.BoxProductShowQry;
import com.xunhong.erp.turbo.api.biz.dto.vo.BoxProductVO;
import com.xunhong.erp.turbo.base.dto.PageDTO;

import java.util.List;

/**
 * @author shenyifei
 */
public interface BoxProductServiceI {
	BoxProductVO create(BoxProductCreateCmd boxProductCreateCmd);

	PageDTO<BoxProductVO> page(BoxProductPageQry boxProductPageQry);

	List<BoxProductVO> list(BoxProductListQry boxProductListQry);

	BoxProductVO update(BoxProductUpdateCmd boxProductUpdateCmd);

	BoxProductVO show(BoxProductShowQry boxProductShowQry);

	void destroy(BoxProductDestroyCmd boxProductDestroyCmd);

	void drag(BoxProductDragCmd boxProductDragCmd);
}
